1.0

1.0

get /v1/repositories/check-duplication/name

Description

check repository name duplication

State ACTIVE (SUPPORTED)

VersionSupported Until
1.020260630

Parameters

TypeNameDescriptionSchemaDefault
queryregistry_id
required
Registry ID
Example : rpqtmqgec3174541bbf77eecf2cd3585
stringNone
queryname
required
Repository name
Example : sample
stringNone

Responses

HTTP CodeDescriptionSchema
200OKCheckDuplicationResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/repositories/check-duplication/name?registry_id={registry_id}&name={name}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = scr 1.0"

Example HTTP response

Response 200

{
    "result": true
}